SDL_HINT_VIDEO_X11_NODIRECTCOLOR(3)

NAME
SDL_HINT_VIDEO_X11_NODIRECTCOLOR - A variable controlling whether SDL uses DirectColor visuals.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_X11_NODIRECTCOLOR SDL_VIDEO_X11_NODIRECTCOLOR"

DESCRIPTION
The variable can be set to the following values:

• "0": Disable DirectColor visuals.

• "1": Enable DirectColor visuals. (default)

This hint should be set before initializing the video subsystem.

AVAILABILITY
This hint is available since SDL 3.2.0.